Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Data Fields | Protected Member Functions
Lucene::StoredFieldsWriter Class Reference

This is a DocFieldConsumer that writes stored fields. More...

`#include <StoredFieldsWriter.h>`

Inheritance diagram for Lucene::StoredFieldsWriter:

## Public Member Functions

| StoredFieldsWriter (const DocumentsWriterPtr &docWriter, const FieldInfosPtr &fieldInfos)
virtual | ~StoredFieldsWriter ()
virtual String | getClassName ()
boost::shared_ptr< StoredFieldsWriter > | shared_from_this ()
StoredFieldsWriterPerThreadPtr | addThread (const DocStatePtr &docState)
void | flush (const SegmentWriteStatePtr &state)
void | closeDocStore (const SegmentWriteStatePtr &state)
StoredFieldsWriterPerDocPtr | getPerDoc ()
void | abort ()
void | fill (int32_t docID)
| Fills in any hole in the docIDs.
void | finishDocument (const StoredFieldsWriterPerDocPtr &perDoc)
bool | freeRAM ()
void | free (const StoredFieldsWriterPerDocPtr &perDoc)
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()

## Data Fields

FieldsWriterPtr | fieldsWriter
DocumentsWriterWeakPtr | _docWriter
FieldInfosPtr | fieldInfos
int32_t | lastDocID
Collection< StoredFieldsWriterPerDocPtr > | docFreeList
int32_t | freeCount
int32_t | allocCount

## Protected Member Functions

void | initFieldsWriter ()
Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Additional Inherited Members

Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

This is a DocFieldConsumer that writes stored fields.

## Constructor & Destructor Documentation

## ◆ StoredFieldsWriter()

Lucene::StoredFieldsWriter::StoredFieldsWriter | ( | const DocumentsWriterPtr & | docWriter,
|  | const FieldInfosPtr & | fieldInfos
| ) |  |

## ◆ ~StoredFieldsWriter()

virtual Lucene::StoredFieldsWriter::~StoredFieldsWriter | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::StoredFieldsWriter::_getClassName | ( |  | ) |

inline static

## ◆ abort()

void Lucene::StoredFieldsWriter::abort | ( |  | ) |

## ◆ addThread()

StoredFieldsWriterPerThreadPtr Lucene::StoredFieldsWriter::addThread | ( | const DocStatePtr & | docState | ) |

## ◆ closeDocStore()

void Lucene::StoredFieldsWriter::closeDocStore | ( | const SegmentWriteStatePtr & | state | ) |

## ◆ fill()

void Lucene::StoredFieldsWriter::fill | ( | int32_t | docID | ) |

Fills in any hole in the docIDs.

## ◆ finishDocument()

void Lucene::StoredFieldsWriter::finishDocument | ( | const StoredFieldsWriterPerDocPtr & | perDoc | ) |

## ◆ flush()

void Lucene::StoredFieldsWriter::flush | ( | const SegmentWriteStatePtr & | state | ) |

## ◆ free()

void Lucene::StoredFieldsWriter::free | ( | const StoredFieldsWriterPerDocPtr & | perDoc | ) |

## ◆ freeRAM()

bool Lucene::StoredFieldsWriter::freeRAM | ( |  | ) |

## ◆ getClassName()

virtual String Lucene::StoredFieldsWriter::getClassName | ( |  | ) |

inline virtual

## ◆ getPerDoc()

StoredFieldsWriterPerDocPtr Lucene::StoredFieldsWriter::getPerDoc | ( |  | ) |

## ◆ initFieldsWriter()

void Lucene::StoredFieldsWriter::initFieldsWriter | ( |  | ) |

protected

## ◆ shared_from_this()

boost::shared_ptr< StoredFieldsWriter > Lucene::StoredFieldsWriter::shared_from_this | ( |  | ) |

inline

## Field Documentation

## ◆ _docWriter

DocumentsWriterWeakPtr Lucene::StoredFieldsWriter::_docWriter

## ◆ allocCount

int32_t Lucene::StoredFieldsWriter::allocCount

## ◆ docFreeList

Collection<StoredFieldsWriterPerDocPtr> Lucene::StoredFieldsWriter::docFreeList

## ◆ fieldInfos

FieldInfosPtr Lucene::StoredFieldsWriter::fieldInfos

## ◆ fieldsWriter

FieldsWriterPtr Lucene::StoredFieldsWriter::fieldsWriter

## ◆ freeCount

int32_t Lucene::StoredFieldsWriter::freeCount

## ◆ lastDocID

int32_t Lucene::StoredFieldsWriter::lastDocID

The documentation for this class was generated from the following file:

- StoredFieldsWriter.h

clucene.sourceforge.net